Last modified: 2013-10-24 19:06:01 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 52063 - Merge SimpleAntiSpam extension into MediaWiki core
Merge SimpleAntiSpam extension into MediaWiki core
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
1.22.0
All All
: Normal enhancement with 1 vote (vote)
: 1.22.0 release
Assigned To: Kunal Mehta (Legoktm)
: easy
Depends on:
Blocks: 26751
  Show dependency treegraph
 
Reported: 2013-07-25 22:02 UTC by MZMcBride
Modified: 2013-10-24 19:06 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MZMcBride 2013-07-25 22:02:12 UTC
This is another extension where it has nearly more extension setup than functionality. Let's just merge this into core and be done with it.
Comment 1 Kunal Mehta (Legoktm) 2013-10-17 00:33:15 UTC
This is trivial to do, but it's going to be annoying importing all the messages properly.
Comment 2 Nemo 2013-10-17 06:17:48 UTC
(In reply to comment #1)
> This is trivial to do, but it's going to be annoying importing all the
> messages
> properly.

Raymond, can we move some system messages from an extension to core with same keyh and let l10n-bot re-export the translations from translatewiki.net?
Comment 3 Kunal Mehta (Legoktm) 2013-10-17 06:23:28 UTC
The only message that seems to be needed is 'simpleantispam-label', the message 'simpleantispam' doesn't seem to be used, and the -desc message won't be needed.
Comment 4 Raimond Spekking 2013-10-17 06:33:56 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > This is trivial to do, but it's going to be annoying importing all the
> > messages
> > properly.
> 
> Raymond, can we move some system messages from an extension to core with same
> keyh and let l10n-bot re-export the translations from translatewiki.net?

Yes, no problem. Will be done automatically with the daily exports once the extension is disabled on translatewiki.net.
Comment 5 Gerrit Notification Bot 2013-10-17 06:52:15 UTC
Change 90291 had a related patch set uploaded by Legoktm:
Merge SimpleAntiSpam extension into core

https://gerrit.wikimedia.org/r/90291
Comment 6 Kunal Mehta (Legoktm) 2013-10-17 06:57:51 UTC
(In reply to comment #4)

> Yes, no problem. Will be done automatically with the daily exports once the
> extension is disabled on translatewiki.net.

Awesome. So I used the same key name and added it to MessagesEn.php and messages.inc.
Comment 7 Gerrit Notification Bot 2013-10-24 18:57:52 UTC
Change 91650 had a related patch set uploaded by Bartosz Dziewoński:
Merge SimpleAntiSpam extension into core

https://gerrit.wikimedia.org/r/91650
Comment 8 Bartosz Dziewoński 2013-10-24 18:59:49 UTC
Done. This will be included in the 1.22 release.
Comment 9 Gerrit Notification Bot 2013-10-24 19:01:58 UTC
Change 90291 merged by jenkins-bot:
Merge SimpleAntiSpam extension into core

https://gerrit.wikimedia.org/r/90291
Comment 10 Gerrit Notification Bot 2013-10-24 19:06:01 UTC
Change 91650 merged by jenkins-bot:
Merge SimpleAntiSpam extension into core

https://gerrit.wikimedia.org/r/91650

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links